<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."fantasy_sports_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."fantasy_sports_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."fantasy_sports_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['fs100'];
$inf_description = $locale['fs101'];
$inf_version = "1.0.0";
$inf_developer = "Ian Unruh (k3p7)";
$inf_email = "ianunruh@gmail.com";
$inf_weburl = "http://";

$inf_folder = "fantasy_sports_panel"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "fs_admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['fs102']; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "fantasy_sports.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 5; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "fs_sports (
sport_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
sport_name VARCHAR(200) DEFAULT '' NOT NULL,
sport_icon VARCHAR(200) DEFAULT '' NOT NULL,
PRIMARY KEY (sport_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "fs_teams (
team_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
team_sport TINYINT(5) DEFAULT '0' NOT NULL,
team_name VARCHAR(200) DEFAULT '' NOT NULL,
PRIMARY KEY (team_id)
) TYPE=MyISAM;";

$inf_newtable_[3] = "fs_games (
game_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
game_sport TINYINT(5) DEFAULT '0' NOT NULL,
game_home TINYINT(5) DEFAULT '0' NOT NULL,
game_guest TINYINT(5) DEFAULT '0' NOT NULL,
game_winner TINYINT(5) DEFAULT '0' NOT NULL,
game_time VARCHAR(200) DEFAULT '' NOT NULL,
PRIMARY KEY (game_id)
) TYPE=MyISAM;";

$inf_newtable_[4] = "fs_bets (
bet_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
bet_sport TINYINT(5) DEFAULT '0' NOT NULL,
bet_game TINYINT(5) DEFAULT '0' NOT NULL,
bet_user TINYINT(5) DEFAULT '0' NOT NULL,
bet_bet TINYINT(5) DEFAULT '0' NOT NULL,
PRIMARY KEY (bet_id)
) TYPE=MyISAM;";

$inf_newtable_[5] = "fs_jackpot (
jackpot_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
jackpot_game TINYINT(5) DEFAULT '0' NOT NULL,
jackpot_jackpot TINYINT(5) DEFAULT '0' NOT NULL,
PRIMARY KEY (jackpot_id)
) TYPE=MyISAM;";

?>
