<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."fantasy_sports_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."fantasy_sports_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."fantasy_sports_panel/locale/English.php";
}

if($_GET['op'] == "edit" && isset($_GET['id']) && is_numeric($_GET['id']) && isset($_GET['type'])){
if($_GET['type'] == "sport"){
$result = dbquery("SELECT * FROM ".DB_PREFIX."fs_sports WHERE sport_id='".$_GET['id']."'");
if(!dbrows($result)) fallback(FUSION_SELF);
$data = dbarray($result);
opentable($locale['fs200']);
echo "<center><form action='".FUSION_SELF."' method='post'>";
echo "<table width='500'><tr><td>".$locale['fs201']."</td>";
echo "<td><input type='text' name='sport_name' class='textbox' value='".$data['sport_name']."'></td></tr>";
echo "<tr><td>".$locale['fs202']."</td><td><select name='sport_icon' class='textbox'>";
$icon_list = makefilelist("icons/", ".|..|index.php");
echo makefileopts($icon_list, $data['sport_icon']);
echo "</select></td></tr><tr><td>&nbsp;</td><td>";
echo "<input type='submit' name='updatesport' value='Zapisz zmiany' class='button'></td></tr></table>";
echo "<input type='hidden' name='id' value='".$data['sport_id']."'>";
echo "</form></center>";
closetable();

} elseif($_GET['type'] == "team"){
$result = dbquery("SELECT * FROM ".DB_PREFIX."fs_teams WHERE team_id='".$_GET['id']."'");
if(!dbrows($result)) fallback(FUSION_SELF);
$data = dbarray($result);
opentable($locale['fs300']);
echo "<center><form action='".FUSION_SELF."' method='post'>";
echo "<table width='500'><tr><td>".$locale['fs301']."</td>";
echo "<td><input type='text' name='team_name' class='textbox' value='".$data['team_name']."'></td></tr>";
echo "<tr><td>".$locale['fs302']."</td><td><select name='team_sport' class='textbox'>";
$sports = dbquery("SELECT * FROM ".DB_PREFIX."fs_sports");
while($data2 = dbarray($sports)){
echo "<option value='".$data2['sport_id']."'";
if($data2['sport_id'] == $data['team_sport']) echo " SELECTED";
echo ">".$data2['sport_name']."</option>";
}
echo "</select></td></tr><tr><td>&nbsp;</td><td>";
echo "<input type='submit' name='updateteam' value='Zapisz zmiany' class='button'></td></tr></table>";
echo "<input type='hidden' name='id' value='".$data['team_id']."'>";
echo "</form></center>";
closetable();

} elseif($_GET['type'] == "game"){
$result = dbquery("SELECT * FROM ".DB_PREFIX."fs_games WHERE game_id='".$_GET['id']."'");
if(!dbrows($result)) fallback(FUSION_SELF);
$data = dbarray($result);
opentable($locale['fs400']);
echo "<center><form action='".FUSION_SELF."' method='post'>";
echo "<table width='500'><tr><td>".$locale['fs401']."</td><td><select name='game_home' class='textbox'>";
$sports = dbquery("SELECT * FROM ".DB_PREFIX."fs_teams");
while($home = dbarray($sports)){
echo "<option value='".$home['team_id']."'";
if($home['team_id'] == $data['game_home']) echo " SELECTED";
echo ">".$home['team_name']."</option>";
}
echo "</select></td></tr><tr><td>".$locale['fs402']."</td><td><select name='game_guest' class='textbox'>";
$sports = dbquery("SELECT * FROM ".DB_PREFIX."fs_teams");
while($guest = dbarray($sports)){
echo "<option value='".$guest['team_id']."'";
if($guest['team_id'] == $data['game_guest']) echo " SELECTED";
echo ">".$guest['team_name']."</option>";
}
echo "</select></td></tr><tr><td>".$locale['fs403']."</td><td><select name='game_sport' class='textbox'>";
$sport = dbquery("SELECT * FROM ".DB_PREFIX."fs_sports");
while($sports = dbarray($sport)){
echo "<option value='".$sports['sport_id']."'";
if($sports['sport_id'] == $data['game_sport']) echo " SELECTED";
echo ">".$sports['sport_name']."</option>";
}
echo "</select></td></tr>
<tr><td>".$locale['fs405']."</td><td><select name='game_winner' class='textbox'>
<option value=''><i>None</i></option>";
$team = dbquery("SELECT * FROM ".DB_PREFIX."fs_teams");
while($teams = dbarray($team)){
echo "<option value='".$teams['team_id']."'";
if($teams['team_id'] == $data['game_winner']) echo " SELECTED";
echo ">".$teams['team_name']."</option>";
}
echo "</select></td></tr>";
$game_time = explode("-", $data['game_time']);
$game_month = $user_birthdate['0'];
$game_day = $user_birthdate['1'];
$game_year = $user_birthdate['2'];
echo "<tr><td>".$locale['fs404']."</td><td><select name='game_month' class='textbox'>\n<option>--</option>\n";
	for ($i=1;$i<=12;$i++) echo "<option".($game_month == $i ? " selected" : "").">$i</option>\n";
echo "</select>
<select name='game_day' class='textbox'>\n<option>--</option>\n";
	for ($i=1;$i<=31;$i++) echo "<option".($game_day == $i ? " selected" : "").">$i</option>\n";
echo "</select>
<select name='game_year' class='textbox'>\n<option>----</option>\n";
	for ($i=2003;$i<=2007;$i++) echo "<option".($game_year == $i ? " selected" : "").">$i</option>\n";
echo "</select></td></tr>
<tr><td>&nbsp;</td><td>";
echo "<input type='submit' name='updategame' value='Zapisz zmiany' class='button'></td></tr></table>";
echo "<input type='hidden' name='id' value='".$data['game_id']."'>";
echo "</form></center>";
closetable();
}
} elseif($_GET['op'] == "del" && isset($_GET['id']) && is_numeric($_GET['id']) && isset($_GET['type'])){
if($_GET['type'] == "sport"){
$result = dbquery("DELETE FROM ".DB_PREFIX."fs_sports WHERE sport_id='".$_GET['id']."'");
redirect(FUSION_SELF."?su=sd");
} elseif($_GET['type'] == "team"){
$result = dbquery("DELETE FROM ".DB_PREFIX."fs_teams WHERE team_id='".$_GET['id']."'");
redirect(FUSION_SELF."?su=td");
} elseif($_GET['type'] == "game"){
$result = dbquery("DELETE FROM ".DB_PREFIX."fs_games WHERE game_id='".$_GET['id']."'");
redirect(FUSION_SELF."?su=gd");
}
} else {

if(isset($_POST['addsport'])){
$sport_name = stripinput($_POST['sport_name']);
$sport_icon = stripinput($_POST['sport_icon']);
$result = dbquery("INSERT INTO ".DB_PREFIX."fs_sports VALUES('', '$sport_name', '$sport_icon')");
redirect(FUSION_SELF."?su=sa");
}

if(isset($_POST['updatesport'])){
$sport_name = stripinput($_POST['sport_name']);
$sport_icon = stripinput($_POST['sport_icon']);
$result = dbquery("UPDATE ".DB_PREFIX."fs_sports SET sport_name='$sport_name', sport_icon='$sport_icon' WHERE sport_id='".$_POST['id']."'");
redirect(FUSION_SELF."?su=su");
}

if(isset($_POST['addteam'])){
$sport_name = stripinput($_POST['team_name']);
$sport_icon = stripinput($_POST['team_sport']);
$result = dbquery("INSERT INTO ".DB_PREFIX."fs_teams VALUES('', '$sport_icon', '$sport_name')");
redirect(FUSION_SELF."?su=ta");
}

if(isset($_POST['updateteam'])){
$sport_name = stripinput($_POST['team_name']);
$sport_icon = stripinput($_POST['team_sport']);
$result = dbquery("UPDATE ".DB_PREFIX."fs_teams SET team_name='$sport_name', team_sport='$sport_icon' WHERE team_id='".$_POST['id']."'");
redirect(FUSION_SELF."?su=tu");
}

if(isset($_POST['addgame'])){
$game_home = stripinput($_POST['game_home']);
$game_guest = stripinput($_POST['game_guest']);
$game_time = stripinput($_POST['game_month'])."-".stripinput($_POST['game_day'])."-".stripinput($_POST['game_year']);
$game_sport = stripinput($_POST['game_sport']);
$result = dbquery("INSERT INTO ".DB_PREFIX."fs_games VALUES('', '$game_sport', '$game_home', '$game_guest', '', '$game_time')");
$result = dbquery("INSERT INTO ".DB_PREFIX."fs_jackpot VALUES('', '".mysql_insert_id()."', '0')");
redirect(FUSION_SELF."?su=ga");
}

if(isset($_POST['updategame'])){
$game_home = stripinput($_POST['game_home']);
$game_guest = stripinput($_POST['game_guest']);
$game_time = stripinput($_POST['game_month'])."-".stripinput($_POST['game_day'])."-".stripinput($_POST['game_year']);
$game_sport = stripinput($_POST['game_sport']);
$game_winner = stripinput($_POST['game_winner']);
if($game_winner){
$win = dbquery("SELECT * FROM ".DB_PREFIX."fs_bets WHERE bet_bet='".$game_winner."'");
$jp = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."fs_jackpot WHERE jackpot_game='".$_POST['id']."'"));
while($winners = dbarray($win)){
$query1 = dbquery("UPDATE ".DB_PREFIX."users SET user_points=user_points+".$jp['jackpot_jackpot']." WHERE user_id='".$winners['bet_user']."'");
$message = "Hello,

This is an automated message saying that the team you bet on won the game

You have recieved ".$jp['jackpot_jackpot']." points.

Thank you,
Fantasy Sports Bot";
$message = addslashes($message);
$query2 = dbquery("INSERT INTO ".DB_PREFIX."messages VALUES('', '".$winners['bet_user']."', '1', 'Fantasy Sports Winner', '$message', '0', '0', '".time()."', '0')");
}
}
$result = dbquery("UPDATE ".DB_PREFIX."fs_games SET game_home='$game_home', game_guest='$game_guest', game_time='$game_time', game_sport='$game_sport', game_winner='$game_winner' WHERE game_id='".$_POST['id']."'");
redirect(FUSION_SELF."?su=gu");
}

if($_GET['su'] == "sa") echo "<b>Sport was added</b><br><br>";
if($_GET['su'] == "su") echo "<b>Sport was updated</b><br><br>";
if($_GET['su'] == "sd") echo "<b>Sport was deleted</b><br><br>";
if($_GET['su'] == "ta") echo "<b>Team was added</b><br><br>";
if($_GET['su'] == "tu") echo "<b>Team was updated</b><br><br>";
if($_GET['su'] == "td") echo "<b>Team was deleted</b><br><br>";
if($_GET['su'] == "ga") echo "<b>Game was added</b><br><br>";
if($_GET['su'] == "gu") echo "<b>Game was updated</b><br><br>";
if($_GET['su'] == "gd") echo "<b>Game was deleted</b><br><br>";

opentable($locale['fs200']);
echo "<center><form action='".FUSION_SELF."' method='post'>";
echo "<table width='500'><tr><td>".$locale['fs201']."</td>";
echo "<td><input type='text' name='sport_name' class='textbox'></td></tr>";
echo "<tr><td>".$locale['fs202']."</td><td><select name='sport_icon' class='textbox'>";
$icon_list = makefilelist("icons/", ".|..|index.php");
echo makefileopts($icon_list);
echo "</select></td></tr><tr><td>&nbsp;</td><td>";
echo "<input type='submit' name='addsport' value='Dodaj' class='button'></td></tr></table>";
echo "</form></center>";
closetable();
tablebreak();
opentable($locale['fs210']);
$result = dbquery("SELECT * FROM ".DB_PREFIX."fs_sports");
if(dbrows($result)){
echo "<center><table width='300'><tr><td width='16'>&nbsp;</td><td><b>".$locale['fs211']."</b></td>";
echo "<td><b>".$locale['fs212']."</b></td></tr>";
while($data = dbarray($result)){
echo "<tr><td>";
if($data['sport_icon'] !== ""){
echo "<img src='icons/".$data['sport_icon']."'>";
} else {

}
echo "</td><td>".$data['sport_name']."</td><td>";
echo "<a href='".FUSION_SELF."?op=edit&amp;type=sport&amp;id=".$data['sport_id']."'>".$locale['fs214']."</a> - ";
echo "<a href='".FUSION_SELF."?op=del&amp;type=sport&amp;id=".$data['sport_id']."'>".$locale['fs213']."</a>";
echo "</td></tr>";
}
echo "</table></center>";
} else {
echo "<center>".$locale['fs215']."</center>";
}
closetable();

/* Teams admin */

opentable($locale['fs300']);
echo "<center><form action='".FUSION_SELF."' method='post'>";
echo "<table width='500'><tr><td>".$locale['fs301']."</td>";
echo "<td><input type='text' name='team_name' class='textbox'></td></tr>";
echo "<tr><td>".$locale['fs302']."</td><td><select name='team_sport' class='textbox'>";
$sports = dbquery("SELECT * FROM ".DB_PREFIX."fs_sports");
while($data = dbarray($sports)){
echo "<option value='".$data['sport_id']."'>".$data['sport_name']."</option>";
}
echo "</select></td></tr><tr><td>&nbsp;</td><td>";
echo "<input type='submit' name='addteam' value='Dodaj' class='button'></td></tr></table>";
echo "</form></center>";
closetable();
tablebreak();
opentable($locale['fs310']);
$result = dbquery("SELECT * FROM ".DB_PREFIX."fs_teams");
if(dbrows($result)){

echo "<center><table width='500'><tr><td width='16'>&nbsp;</td><td><b>".$locale['fs316']."</b></td>";
echo "<td><b>".$locale['fs311']."</b></td>";
echo "<td><b>".$locale['fs312']."</b></td></tr>";
while($data = dbarray($result)){
$sport = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."fs_sports WHERE sport_id='".$data['team_sport']."'"));
echo "<tr><td>";
if($sport['sport_icon'] !== ""){
echo "<img src='icons/".$sport['sport_icon']."'>";
} else {

}
echo "</td><td>".$data['team_name']."</td>";
echo "<td>".$sport['sport_name']."</td><td>";
echo "<a href='".FUSION_SELF."?op=edit&amp;type=team&amp;id=".$data['team_id']."'>".$locale['fs314']."</a> - ";
echo "<a href='".FUSION_SELF."?op=del&amp;type=team&amp;id=".$data['team_id']."'>".$locale['fs313']."</a>";
echo "</td></tr>";
}
echo "</table></center>";
} else {
echo "<center>".$locale['fs315']."</center>";
}
closetable();


/* Games admin */ 

opentable($locale['fs400']);
echo "<center><form action='".FUSION_SELF."' method='post'>";
echo "<table width='500'><tr><td>".$locale['fs401']."</td><td><select name='game_home' class='textbox'>";
$sports = dbquery("SELECT * FROM ".DB_PREFIX."fs_teams");
while($data = dbarray($sports)){
echo "<option value='".$data['team_id']."'>".$data['team_name']."</option>";
}
echo "</select></td></tr><tr><td>".$locale['fs402']."</td><td><select name='game_guest' class='textbox'>";
$sports = dbquery("SELECT * FROM ".DB_PREFIX."fs_teams");
while($data = dbarray($sports)){
echo "<option value='".$data['team_id']."'>".$data['team_name']."</option>";
}
echo "</select></td></tr><tr><td>".$locale['fs403']."</td><td><select name='game_sport' class='textbox'>";
$sports = dbquery("SELECT * FROM ".DB_PREFIX."fs_sports");
while($data = dbarray($sports)){
echo "<option value='".$data['sport_id']."'>".$data['sport_name']."</option>";
}
echo "</select></td></tr>
<tr><td>".$locale['fs404']."</td><td><select name='game_month' class='textbox'>\n<option>--</option>\n";
	for ($i=1;$i<=12;$i++) echo "<option".($user_month == $i ? " selected" : "").">$i</option>\n";
echo "</select>
<select name='game_day' class='textbox'>\n<option>--</option>\n";
	for ($i=1;$i<=31;$i++) echo "<option".($user_day == $i ? " selected" : "").">$i</option>\n";
echo "</select>
<select name='game_year' class='textbox'>\n<option>----</option>\n";
	for ($i=2003;$i<=2007;$i++) echo "<option".($user_year == $i ? " selected" : "").">$i</option>\n";
echo "</select></td></tr>
<tr><td>&nbsp;</td><td>";
echo "<input type='submit' name='addgame' value='Dodaj' class='button'></td></tr></table>";
echo "</form></center>";
closetable();
tablebreak();
opentable($locale['fs410']);
$result = dbquery("SELECT * FROM ".DB_PREFIX."fs_games");
if(dbrows($result)){

echo "<center><table width='500'><tr><td width='16'>&nbsp;</td><td><b>".$locale['fs419']."</b></td>";
echo "<td><b>".$locale['fs411']."</b></td>";
echo "<td><b>".$locale['fs418']."</b></td></tr>";
while($data = dbarray($result)){
$sport = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."fs_sports WHERE sport_id='".$data['game_sport']."'"));
echo "<tr><td>";
if($sport['sport_icon'] !== ""){
echo "<img src='icons/".$sport['sport_icon']."'>";
} else {

}
echo "</td><td>";
$home = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."fs_teams WHERE team_id='".$data['game_home']."'"));
$guest = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."fs_teams WHERE team_id='".$data['game_guest']."'"));
echo $home['team_name']."</td><td>".$guest['team_name']."</td>";
echo "<td>".$sport['sport_name']."</td><td>";
echo "<a href='".FUSION_SELF."?op=edit&amp;type=game&amp;id=".$data['game_id']."'>".$locale['fs314']."</a> - ";
echo "<a href='".FUSION_SELF."?op=del&amp;type=game&amp;id=".$data['game_id']."'>".$locale['fs313']."</a>";
echo "</td></tr>";
}
echo "</table></center>";
} else {
echo "<center>".$locale['fs415']."</center>";
}
closetable(); 
}
echo "</td>\n";
require_once BASEDIR."footer.php";
?>
